<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20260321220000 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add is_invitation to billet_order';
    }

    public function up(Schema $schema): void
    {
        $this->addSql('ALTER TABLE billet_order ADD COLUMN IF NOT EXISTS is_invitation BOOLEAN DEFAULT NULL');
    }

    public function down(Schema $schema): void
    {
        $this->addSql('ALTER TABLE billet_order DROP COLUMN IF EXISTS is_invitation');
    }
}
